Bug 1417117 - yum does not evaluate a custom variable for proxy setting
Summary: yum does not evaluate a custom variable for proxy setting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 09:33 UTC by Roman Bobek
Modified: 2020-07-16 09:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 18:41:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Bobek 2017-01-27 09:33:57 UTC
Description of problem:
When I define a variable in /etc/yum/vars and set it with url pointing to a proxy, I'm not able to use the variable to define the proxy in yum.conf file.

Version-Release number of selected component (if applicable):
yum-3.2.29-73.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Set a variable in /etc/yum/vars to contain a proxy url address
   # echo "http://ktordeur-proxy.usersys.redhat.com:3128" > /etc/yum/vars/someproxy

2. Set the proxy in the /etc/yum.conf file
   ...
   proxy=$someproxy
   ...

3. Run the 'check':
   # yum-config-manager main | grep proxy
   Options Error: Error parsing "proxy = '$someproxy'": URL must be http, ftp or https not ""

4. Try to change the content of the variable and set it with the http prefix in the yum.conf
   # echo "ktordeur-proxy.usersys.redhat.com:3128" > /etc/yum/vars/someproxy
   ...
   proxy=http://$someproxy
   ...

5. Run the 'check':
   # yum-config-manager main | grep proxy
   cachedir = /var/cache/yum/x86_64/6Server/ktordeur-proxy.usersys.redhat.com:3128
   proxy = http://$someproxy
   proxy_password = 
   proxy_username = 

Note:
As you can see in the output in point 5, I have called the variable at the end of cachedir settings too, and there it is translated correctly. The only issue is with this variable called in the proxy setting. I experienced the very same behavior when I defined the proxy using variable in a .repo file.

Actual results:
The variable is not translated and yum is not working properly.

Expected results:
The variable is translated and yum will be able to connect to repositories.

Additional info:

Comment 2 Chris Williams 2017-06-13 18:41:25 UTC
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.
 
The official life cycle policy can be reviewed here:
 
http://redhat.com/rhel/lifecycle
 
This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:
 
https://access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.